Bug 438414 - directory /proc/PID/task contains "0" entries [NEEDINFO]
directory /proc/PID/task contains "0" entries
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 173278
  Show dependency treegraph
 
Reported: 2008-03-20 15:14 EDT by Andrew Cagney
Modified: 2009-01-09 02:44 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.24.4-64.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:44:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cebbert: needinfo? (cagney)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 5902 None None None Never

  None (edit)
Description Andrew Cagney 2008-03-20 15:14:51 EDT
Description of problem:

Under what I'll call moderate process load (I suspect frysk's testsuite actually
generates high processor/task load) the directory /proc/PID/task is found to
contain "0" named (the string zero) dirent entries.

Here's a trace lifted from running frysk's testsuite:

Running testTerminateKillINT(frysk.proc.TestTaskTerminateObserver) ...WARNING:
00:00:48.970 11317.11317 frysk.sys.proc.ProcBuilder: /proc/13589/task contains
bad pid: 0
ERROR

this is new behavior and is occurring on:

$ uname -a
Linux morgan 2.6.24.3-34.fc8 #1 SMP Wed Mar 12 16:51:49 EDT 2008 x86_64 x86_64
x86_64 GNU/Linux
Comment 1 Chuck Ebbert 2008-03-27 19:57:48 EDT
Possibly caused by PID namespaces being enabled. They are disabled starting with
2.6.24.4-63, so see if that fixes this bug.
Comment 2 Fedora Update System 2008-03-28 16:58:12 EDT
kernel-2.6.24.4-63.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-29 14:31:38 EDT
kernel-2.6.24.4-64.fc8 has been submitted as an update for Fedora 8
Comment 4 Andrew Cagney 2008-03-31 09:56:27 EDT
(In reply to comment #1)
> Possibly caused by PID namespaces being enabled. They are disabled starting with
> 2.6.24.4-63, so see if that fixes this bug.

What do you mean by PID namespaces?  Would there be a pointer to the patch?
Comment 5 Dave Jones 2008-03-31 13:05:19 EDT
CONFIG_PID_NS in the upstream kernel enables a containers feature..

config PID_NS
        bool "PID Namespaces (EXPERIMENTAL)"
        default n
        depends on NAMESPACES && EXPERIMENTAL
        help
          Suport process id namespaces.  This allows having multiple
          process with the same pid as long as they are in different
          pid namespaces.  This is a building block of containers.

The containers stuff still seems to be in a state of flux, and afaik there's no
distro integration done yet, so this feature being disabled should have no
negative effect.
Comment 6 Chuck Ebbert 2008-03-31 23:05:12 EDT
Does kernel -64 fix this bug?
Comment 7 Fedora Update System 2008-04-01 17:37:41 EDT
kernel-2.6.24.4-64.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-04-09 01:14:32 EDT
kernel-2.6.24.4-64.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Phil Muldoon 2008-05-12 11:03:05 EDT
I've noticed regressions via the Frysk testsuite:

My kernel:

Linux localhost.localdomain 2.6.24.5-85.fc8 #1 SMP Sat Apr 19 11:18:09 EDT 2008
x86_64 x86_64 x86_64 GNU/Linux

Regression:

2)
testAddthenDeleteWatchpoint(frysk.proc.TestTaskObserverWatchpoint)java.lang.RuntimeException:
/proc/$$/task contains bad pid (pid 0)
   at frysk.sys.proc.ProcBuilder.scan(TestRunner)
   at frysk.sys.proc.ProcBuilder.construct(TestRunner)
   at frysk.sys.proc.ProcBuilder.construct(TestRunner)
   at frysk.testbed.TearDownProcess.tearDown(TestRunner)
   at frysk.testbed.TestLib.tearDown(TestRunner)
   at frysk.junit.Runner.runCases(TestRunner)
   at frysk.junit.Runner.runTestCases(TestRunner)
   at TestRunner.main(TestRunner)
Comment 10 Andrew Cagney 2008-06-11 14:55:12 EDT
See comment #9, still seeing the problem.
Comment 11 Chuck Ebbert 2008-06-14 02:29:21 EDT
Still happening in 2.6.25.4-10?
Comment 13 Bug Zapper 2008-11-26 05:14:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 02:44:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.